package de.hft.stuttgart.citydoctor2.ziploader;

import de.hft.stuttgart.citydoctor2.check.Checker;

import java.util.ArrayList;
import java.util.List;

public class CityGmlArchive {

    private List<CityGmlZipEntry> entries;

    public CityGmlArchive(List<CityGmlZipEntry> entries) {
        this.entries = entries;
    }

    public void checkEntries(){
        for(CityGmlZipEntry entry : entries){
            Checker checker = new Checker(entry.getModel());
            checker.runChecks();

        }
    }
}
